org.apache.ignite.internal.processors.cache.distributed.dht

## Class CompoundLockFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Void>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.CompoundLockFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<Void>, DhtLockFuture<Void>, IgniteInClosure<IgniteInternalFuture<?>>

    public class CompoundLockFuture
    extends GridFutureAdapter<Void>
    implements DhtLockFuture<Void>, IgniteInClosure<IgniteInternalFuture<?>>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompoundLockFuture(int cnt, GridDhtTxLocalAdapter tx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(IgniteInternalFuture<?> future)` Closure body.
`void` `init()` Init method.
`void` `onError(Throwable error)`
`void` `register(IgniteInternalFuture<?> fut)`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### CompoundLockFuture

    public CompoundLockFuture(int cnt,
                              GridDhtTxLocalAdapter tx)

Parameters:
  `cnt` - ResultSet futures count.
  `tx` - Transaction.

### Method Detail

#### register

    public void register(IgniteInternalFuture<?> fut)

Parameters:
  `fut` - ResultSet future.

#### init

    public void init()

Init method.

#### apply

    public void apply(IgniteInternalFuture<?> future)

Description copied from interface: `IgniteInClosure`
Closure body.

Specified by:
  `apply` in interface `IgniteInClosure<IgniteInternalFuture<?>>`
Parameters:
  `future` - Closure argument.

#### onError

    public void onError(Throwable error)

Specified by:
  `onError` in interface `DhtLockFuture<Void>`
Parameters:
  `error` - Error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018